{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "artefacts"|capfirst %}{% endblock %}
{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "artefacts"|capfirst %}</h1>
    </div>
  </div>
  <div class="row">
    <div class="col text-end">
      {% if processing_line %}
        <a href="{% url 'artefacts:add' %}" class="btn btn-outline-primary">{% translate "add"|capfirst %}</a>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'rescue number'|capfirst %}</th>
            <th>{% translate 'name'|capfirst %}</th>
            <th>{% translate 'type'|capfirst %}</th>
            <th>{% translate 'priority'|capfirst %}</th>
            <th class="w-25"></th>
          </tr>
        </thead>
        <tbody>
          {% for artefact in object_list %}
            <tr onclick="window.location='{{ artefact.get_absolute_url }}'">
              <td>
                {{ artefact.rescue_number }}
                {% if artefact.hazard %}<i class="bi {{ artefact.hazard.icon_class }} text-danger ms-2"></i>{% endif %}
                {% if artefact.composed_object %}<i class="bi {{ artefact.icon }} ms-2"></i>{% endif %}
              </td>
              <td>{{ artefact.name }}{% if artefact.inventory_number %} ({{ artefact.inventory_number }}){% endif %}</td>
              {% if perms.artefacts.view_artefacttype %}
                <td>{% if artefact.artefact_type %}{{ artefact.artefact_type }}{% endif %}</td>
              {% endif %}
              {% if perms.artefacts.view_prioritylevel %}
                <td>{% if artefact.priority %}<span class="color-box" style="background-color:{{ artefact.priority.color }}"></span>{{ artefact.priority }}{% endif %}</td>
              {% endif %}
              <td><img src="{{ artefact.default_picture.url }}" class="img-fluid"> </td>
            </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
{% endblock %}
